import psycopg2
import os

def get_db():
    return psycopg2.connect(
        dbname=os.getenv("POSTGRES_DB"),
        user=os.getenv("POSTGRES_USER"),
        password=os.getenv("POSTGRES_PASSWORD"),
        host="db"
    )

def create_table():
    conn = get_db()
    cur = conn.cursor()
    cur.execute("""
        CREATE TABLE IF NOT EXISTS customers (
            id SERIAL PRIMARY KEY,
            name TEXT,
            email TEXT
        );
    """)
    conn.commit()
    cur.close()
    conn.close()

def insert_customer(name, email):
    conn = get_db()
    cur = conn.cursor()
    cur.execute("INSERT INTO customers (name, email) VALUES (%s, %s);", (name, email))
    conn.commit()
    cur.close()
    conn.close()

def get_customers():
    conn = get_db()
    cur = conn.cursor()
    cur.execute("SELECT name, email FROM customers;")
    rows = cur.fetchall()
    cur.close()
    conn.close()
    return [{"name": name, "email": email} for name, email in rows]
